"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSwaggerHTML = exports.swaggerAssetsAbsoluteFSPath = exports.buildSwaggerInitJS = void 0;
const swaggerUi = require("swagger-ui-dist");
const constants_1 = require("./constants");
const helpers_1 = require("./helpers");
function buildSwaggerInitJS(swaggerDoc, customOptions = {}) {
    const { swaggerOptions = {}, swaggerUrl } = customOptions;
    const swaggerInitOptions = {
        swaggerDoc,
        swaggerUrl,
        customOptions: swaggerOptions
    };
    const jsInitOptions = (0, helpers_1.buildJSInitOptions)(swaggerInitOptions);
    return constants_1.jsTemplateString.replace('<% swaggerOptions %>', jsInitOptions);
}
exports.buildSwaggerInitJS = buildSwaggerInitJS;
exports.swaggerAssetsAbsoluteFSPath = swaggerUi.getAbsoluteFSPath();
function buildSwaggerHTML(baseUrl, swaggerDoc, customOptions = {}) {
    const { customCss = '', customJs = '', customfavIcon = false, customSiteTitle = 'Swagger UI', customCssUrl = '' } = customOptions;
    const favIconString = customfavIcon
        ? `<link rel="icon" href="${customfavIcon}" />`
        : constants_1.favIconHtml;
    return constants_1.htmlTemplateString
        .replace('<% customCss %>', customCss)
        .replace('<% favIconString %>', favIconString)
        .replace(/<% baseUrl %>/g, baseUrl)
        .replace('<% customJs %>', customJs ? `<script src="${customJs}"></script>` : '')
        .replace('<% customCssUrl %>', customCssUrl ? `<link href="${customCssUrl}" rel="stylesheet">` : '')
        .replace('<% title %>', customSiteTitle);
}
exports.buildSwaggerHTML = buildSwaggerHTML;
